Bug 1291950 - Moving message from junk back to inbox corrupts message
Moving message from junk back to inbox corrupts message
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: offlineimap (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Dodji Seketeli
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-15 18:20 EST by Chris Underhill
Modified: 2016-12-20 12:04 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:04:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Underhill 2015-12-15 18:20:00 EST
Description of problem:

Thunderbird->offlineimap->davmail->Exchange

Thunderbird incorrectly classifies email as junk. When I move it back to Inbox and then it resyncs to Exchange, the email becomes corrupted owing to additional header lines added by Offlineimap. Consequently all I see in Thunderbird in the message pane for the message is the equivalent to view source.

Version-Release number of selected component (if applicable):

offlineimap-6.5.6-3.fc23.noarch

How reproducible:

Every time.

Steps to Reproduce:

1. Receive misclassified email in junk folder
2. Move it back to Inbox
3. Wait for resync - mail gets corrupted

Actual results:

Corrupted message in Inbox

Expected results:

Valid message appears in Inbox

Additional info:

Similar issue is reported at

https://github.com/OfflineIMAP/offlineimap/issues/275

with deletions. I see the same additional headers and blank line. Update to most recent offlineimap has fixed this,
Comment 1 Fedora End Of Life 2016-11-24 09:16:00 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 12:04:45 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.